# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name geniplate

Name:           ghc-%{pkg_name}
Version:        0.6.0.3
Release:        3%{?dist}
Summary:        Template Haskell to generate Uniplate-like functions

License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-template-haskell-devel
ExclusiveArch:  %{ghc_arches_with_ghci}
# End cabal-rpm deps

%description
Use template Haskell to generate Uniplate-like functions.


%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


# no license file!
%files -f %{name}.files


%files devel -f %{name}-devel.files
%doc examples


%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jun 10 2013 Jens Petersen <petersen@redhat.com> - 0.6.0.3-2
- update to new simplified Haskell Packaging Guidelines

* Mon Mar 11 2013 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 0.6.0.3-1
- spec file generated by cabal-rpm-0.7.1
